/** MAIN STYLES OVERRIDE */
.screenfull-content{
    min-height: calc(100vh - 40px) !important; /*40px je výška navbaru */
    max-height: calc(100vh - 40px) !important;
    display: flex;
    flex-direction: column;
}
.screenfull-content > .box{
    flex: 1;
    overflow-y: hidden;
}

.box.box-flex{
    display: flex;
    flex-direction: column;
}
.box.box-flex > .box-header{
    overflow: unset;
    align-self: start;
    width: 100%;
}
.box.box-flex > .box-content{
    flex: 1;
    align-self: stretch;
    overflow-y: auto;
}
/*----------------------------*/

.code-break{
    white-space: unset !important;
}

.stepan_width > div {
    width: 100% !important;
}

.triple-input .form-control {
    width: 33.3%;
    border-right-width: 0px;
}

.triple-input .form-control:focus {
    border-right-width: 1px;
}

.m-10px {
    margin-right: 10px !important;
}

.overflow-text {
    white-space: nowrap;
    max-width: 150px;
    overflow: hidden;
    text-overflow: ellipsis;
}

.mce-content-body {
    background: #ff0304;
}

.big-dialog .modal-dialog {
    width: 85%;
}

.pme-overflow {
    text-overflow: ellipsis;
}

.s-td {
    max-width: 0;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

/* Menu modul */
.menu-list-section{
    display: flex;
    flex-direction: column;
    border-left: 2px solid black;
}
.menu-list-section.main{
    border: none;
}
.menu-list-section.main > .menu-row > .title{
    padding-left: 0;
    font-weight:bold !important;
}
.menu-list-section .menu-row{
    display: flex;
    padding-top: 5px;
    padding-bottom: 5px;
}
.menu-list-section .menu-row > .title,.menu-list-section .menu-row > .controls{
    flex: 1;
    padding-left: 0;
}
.menu-list-section .menu-row > .title{
    display: flex;
    align-items: center;
}
.menu-list-section .menu-row > .controls{
    display: flex;
    justify-items: end;
    align-items: center;
    flex-direction: row-reverse;
}
.menu-list-section button{
    margin-right:10px;
}
.menu-list-section input{
    float:right;
    padding-bottom:5px;
    font-weight:normal;
    width:250px;
}
.menu-list-section span button{
    margin-right:10px;
}
.menu-list-section div{
    font-weight:normal;
    margin-left:10px;
    padding-left:5px;
}
.menu-list-section > .menu-row{
    border-left: 2px solid black;
    font-size:12px;
}
.menu-list-section .btn{
    font-size:10px; margin-left:-8px;
}
.menu-list-section input{
    height: 27px !important;
    border: 2px solid #929292;
    font-size:12px;
    max-width:200px;
}
.menu-list-section .icon{
    margin-right: 1rem;
}

.file-link{
    margin-bottom: 1rem;
    word-break: break-all;
}
.file-link > div > i{
    display: block;
    margin-bottom: 0.5rem;
}

.image-browse-thumbnail {
    background-color: #f3f3f3;
    padding: 10px;
    height: 300px;
    margin-bottom: 20px;
    border: none;
    font-weight: bold;
    cursor: pointer;
    transition: scale 0.5s linear;
    display: flex;
    flex-direction: column;
}

.image-browse-thumbnail:hover {
    scale: 1.05;
}

.image-browse-thumbnail > img {
    max-width: 100%;
    max-height: 258px;
    margin-bottom: 0.5rem;
}
.image-browse-thumbnail > span {
    margin-top: auto;
    word-break: break-all;
}

/* Images modul */
.crop-preview {
    display: flex;
    flex-direction: column;
    align-items: start;
    margin-bottom: 1rem;
}
.crop-preview > span{
    font-weight: bold;
    font-size: 16px;
}

/* Forms */
.form-check-label{
    display: flex;
    align-items: center;
    cursor: pointer;
}
.form-check-label > input[type=checkbox]{
    width: 16px;
    height: 16px;
    margin: 0 0.5rem 0 0;
}

.custom-checkbox{
    display:inline-block;
    margin:0 !important;
    margin-right:5px !important;
    height:20px !important;
    width:20px !important;
}

.form-group > label:has(+ input.ng-invalid.ng-dirty),.form-group > label:has(+ input.ng-invalid.ng-touched),
.form-group > label:has(+ select.ng-invalid.ng-dirty),.form-group > label:has(+ select.ng-invalid.ng-touched),
.form-group > label:has(+ div.ng-invalid.ng-dirty),.form-group > label:has(+ div.ng-invalid.ng-touched){
    color: #a94442;
}
.form-group > input.ng-invalid.ng-dirty,.form-group > input.ng-invalid.ng-touched,
.form-group > select.ng-invalid.ng-dirty,.form-group > select.ng-invalid.ng-touched,
.form-group > div.ng-invalid.ng-dirty,.form-group > div.ng-invalid.ng-touched{
    border-color: #a94442;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
}
.form-group > input.ng-invalid.ng-dirty:focus,.form-group > input.ng-invalid.ng-touched:focus,
.form-group > select.ng-invalid.ng-dirty:focus,.form-group > select.ng-invalid.ng-touched:focus,
.form-group > div.ng-invalid.ng-dirty:focus,.form-group > div.ng-invalid.ng-touched:focus{
    border-color: #843534;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483;
}
.form-group > .help-block.error{
    display: none;
}
.form-group > input.ng-invalid.ng-dirty + .help-block.error, .form-group > input.ng-invalid.ng-touched + .help-block.error,
.form-group > select.ng-invalid.ng-dirty + .help-block.error, .form-group > select.ng-invalid.ng-touched + .help-block.error,
.form-group > div.ng-invalid.ng-dirty + .help-block.error, .form-group > div.ng-invalid.ng-touched + .help-block.error{
    display: block;
    color: #a94442;
}
/*ui.select override*/
.ui-select-multiple.ui-select-bootstrap .ui-select-match .close {
    line-height: 0.9 !important;
}

/* Extension to basic bootstrap table */
.table-enchanted > thead > tr > th, .table-enchanted > tbody > tr > td{
    vertical-align: middle
}
.table-enchanted input[type=checkbox]{
    height: 20px;
    width: 20px;
    margin: 4px 4px 4px 4px;
}
.table-enchanted input[type=text],.table-enchanted select {
    width: 100%;
    margin: 0 auto;
    color: black !important;
    border: 1px solid #ddd;
    height: 30px;
}
.table-enchanted .icon-cell{
    font-size: 20px;
    text-align: center;
}
.table-enchanted .thumb-cell{
    position: relative;
    min-height: 60px;
}
.table-enchanted .thumb-cell > img{
    width: 100%;
    max-width: 100%;
    cursor: pointer;
}
.table-enchanted .thumb-cell > .thumb-cell-preview{
    display: none;
    position: absolute;
    top: 0;
    left:80px;
    height: auto;
    width: 280px;
    max-width: 280px;
    z-index: 999;
    -webkit-box-shadow: 0 0 10px 1px rgba(0,0,0,0.75);
    -moz-box-shadow: 0 0 10px 1px rgba(0,0,0,0.75);
    box-shadow: 0 0 10px 1px rgba(0,0,0,0.75);
}

.table-enchanted .thumb-cell.last > .thumb-cell-preview{
    bottom: 0;
    top: revert;
}

.table-enchanted .thumb-cell:hover > .thumb-cell-preview{
    display: block;
}
.table-enchanted .cell-input-group{
    display: flex;
}
.table-enchanted .cell-input-group > *:first-child{
    border-radius: 2px 0 0 2px;
}
.table-enchanted .cell-input-group > *:last-child{
    border-radius: 0 2px 2px 0;
}
.table-enchanted .cell-input-group > button{
    margin: 0;
    padding: 4px 10px;
}
.table-controls{
    display: flex;
    justify-content: space-between;
}
/** Table pager **/
.pager-element, .per-page-element{
    display: inline-block;
    margin-right: 0.5rem;
}
.pager-element:last-child, .per-page-element:last-child{
    margin-right: 0;
}

/**Misc*/
[hidden]{
    display: none !important;
}

/** Text */
.text-folder{
    font-size: 25px;
    color: rgb(253, 231, 54);
}
.text-danger{
    color: #a94442;
}
.no-decoration{
    text-decoration: none;
}

/** flex classes */
.d-flex{
    display: flex;
}
.justify-content-between{
    justify-content: space-between;
}
.justify-content-end{
    justify-content: end;
}
.align-items-center{
    align-items: center;
}


/** Change log*/
.changelog-section{
    h2{
        font-size: 2rem;
        font-weight: 700;
    }
    h3{
        font-size: 1.9rem;
        font-weight: 700;
    }
    h4{
        font-size: 1.7rem;
        font-weight: 700;
    }
}


/** Spacers */
.mb-0{
    margin-bottom: 0 !important;
}
.mb-1{
    margin-bottom: 0.25rem !important;
}
.mb-2{
    margin-bottom: 0.5rem !important;
}
.me-2{
    margin-right: 0.5rem !important;
}
.ms-1{
    margin-left: 0.25rem !important;
}
.ms-2{
    margin-left: 0.5rem !important;
}
.ms-4{
    margin-left: 1.5rem !important;
}
.ms-5{
    margin-left: 3rem !important;
}
.mt-0{
    margin-top: 0 !important;
}
.mt-5{
    margin-top: 3rem !important;
}
.pe-0{
    padding-right: 0;
}
.ps-0{
    padding-left: 0;
}
.py-2{
    padding-bottom: 0.5rem !important;
    padding-top: 0.5rem !important;
}
/** Borders */
.border-0{
    border: none !important;
}
/** Font sets */
.text-large-bold{
    font-size: large;
    font-weight: bold;
}

/** Styles override */
.btn-primary:hover, .btn-primary.disabled, .btn-primary[disabled] {
    background-color: #1e8fc6ba;
}
.admin_button[disabled]{
    opacity: 0.7;
}
.box .box-header .box-icon i{
 opacity: 1;
}
/** UI tree **/
.angular-ui-tree-placeholder{
    border: 2px dashed rgba(0, 128, 0, 0.7);
    background-color: rgba(0, 128, 0, 0.4);
}
/** Web tree */
.web-tree-item{
    width: 100%;
    max-width: 100%;
    padding:3px 0;
    margin-left: 0;
    margin-right: 0;
}
.dragging .web-tree-item:hover{
    background-color: initial;
}
.web-tree-item:hover{
    background-color: rgba(128, 128, 128, 0.3);
}
.web-tree-item .item-name{
    font-size: 16px;
    display: inline-block;
    padding: 6px;
}
/** Fix for last button in view component header */
.box-icon > .admin_button:last-of-type{
    padding-right: 12px;
}
/** Grid */
.box-content > .row{
    margin-left: -10px;
    margin-right: -10px;
}
/** Permission group editor */
.per-group-select{
    border-bottom-left-radius: 0;
    border-top-left-radius: 0;
    min-height: 38px;
}
.permission-accordion .panel-group .panel {
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
}
.permission-accordion .panel-group .panel > div {
    background-color: #0000000a; /** Musí být ibě definice*/
    background: #0000000a;
    border-color: #0000000a;
}
.permission-group-ta{
    min-height: 60px;
    max-width: 100%;
    min-width: 100%
}
/** Anchor override */
a.text-white:hover, a.text-white:focus {
    color: white;
}
/** Folder ul tree */
.folder-tree ul{
    border-left: 1px solid;
    margin-left: 3rem;
    margin-top: 0rem;
    margin-bottom: 0rem;
    /*padding-top: 1rem;*/
    padding-left: 0rem;
}
.folder-tree li{
    list-style: none;
    line-height: 40px;
    margin-top: 0;
    font-size: 16px;
    padding-bottom: 0.3rem;
}
.folder-tree li .text-folder{
    font-size: 22px;
}
.folder-tree .root-level{
    border-left: 1px solid black;
    margin-left: 15px;
}
.folder-tree .folder-indent.root{
    border-bottom: 1px solid;
    width: 1.2rem;
    display: inline-block;
    margin-bottom: 0.6rem;
}
.folder-tree .folder-indent.no-children{
    border-bottom: 1px solid;
    border-left: 1px solid;
    height: 2rem;
    width: 2rem;
    display: inline-block;
    margin-bottom: 0.6rem;
}
.folder-tree .folder-indent.with-children{
    border-bottom: 1px solid;
    width: 1.7rem;
    display: inline-block;
    margin-bottom: 0.6rem;
}
folder-permission-level{
    padding-top: 0.3rem;
}
.folder-permissions-groups-header{
    border-bottom: 1px solid #e3e2e2;
    font-size: 20px;
    line-height: 24px;
    margin-bottom: 10px;
    padding-bottom: 5px;
    font-weight: bold;
}
.folder-permission-group-web{
    font-size: 16px;
    font-weight: bold;
    margin-top: 5px;
}
/** Article types */
.article-type-folder-article{
    border-left: 1px solid black;
}
/* Fonts */
.fs-18{
    font-size: 18px;
}
